|  | Home · All Classes · Modules

# QScriptValue.ResolveFlags Class Reference
[QtScript module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, ResolveFlags)

### Special Methods

- ResolveFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, ResolveFlags f)
- ResolveFlags __iand__ (self, int f)
- int __int__ (self)
- ResolveFlags __invert__ (self)
- ResolveFlags __ior__ (self, int f)
- ResolveFlags __ixor__ (self, int f)
- bool __ne__ (self, ResolveFlags f)
- ResolveFlags __or__ (self, int f)
- ResolveFlags __xor__ (self, int f)

## Detailed Description

ResolveFlag may be used whenever ResolveFlags is expected.

## Method Documentation

### ResolveFlags.__init__ (self)

### ResolveFlags.__init__ (self, int f)

### ResolveFlags.__init__ (self, ResolveFlags)

### ResolveFlags ResolveFlags.__and__ (self, int f)

### int ResolveFlags.__bool__ (self)

### bool ResolveFlags.__eq__ (self, ResolveFlags f)

### ResolveFlags ResolveFlags.__iand__ (self, int f)

### int ResolveFlags.__int__ (self)

### ResolveFlags ResolveFlags.__invert__ (self)

### ResolveFlags ResolveFlags.__ior__ (self, int f)

### ResolveFlags ResolveFlags.__ixor__ (self, int f)

### bool ResolveFlags.__ne__ (self, ResolveFlags f)

### ResolveFlags ResolveFlags.__or__ (self, int f)

### ResolveFlags ResolveFlags.__xor__ (self, int f)